Использовать версию ruby по умолчанию в Sublime Text 2

Моя стандартная и текущая версия ruby - 1.9.3. Это'на самом деле единственная версия, которая появляется, когда я бегуrvm list так что я нене понимаю, как я могу испортить эту часть. Я следовалэтот учебник, который я нашел здесь, но он просто сломал все. Я продолжаю получатьДанный файл или каталог отсутствует" для всех вариантов исправления, которые я вижу, даже в комментариях. Я на Mac, пожалуйста, дайте мне знать, какую другую информацию мне нужно разместить здесь, чтобы помочь вам понять, как яЯ ломаю вещи.

Ответы на вопрос(1)

Решение Вопроса

Вы всегда можете редактировать какиеruby используется для редактирования настроек команды Build:

subl ~/Library/Application\ Support/Sublime\ Text\ 2/Packages/Ruby/Ruby.sublime-build

Изменить по умолчанию"ruby" на любой путь, который вам требуется. Версия, которую выПовторное использование в любой момент может быть обнаружено с помощью:

which ruby

В качестве альтернативы вы можете просто указать ссылку по умолчанию, которая часто находится по адресу./opt/local/rvm/bin/ruby

Ваш ответ на вопрос